UNW\_DESTROY\_ADDR\_SPACE(3)

NAME
unw_destroy_addr_space -- destroy unwind address space

SYNOPSIS

#include <libunwind.h>

void unw_destroy_addr_space(unw_addr_space_t as);

DESCRIPTION

The unw_destroy_addr_space() routine destroys the address space specified by argument as and thereby releases all associated resources (such as memory).

Applications must not destroy the local address space unw_local_addr_space. Attempting to do so results in undefined behavior (e.g., the application may crash).

SEE ALSO

libunwind(3), unw_create_addr_space(3)

AUTHOR

David Mosberger-Tang
Email: dmosberger@gmail.com
WWW: http://www.nongnu.org/libunwind/.